Bug 256084 - www/py-feedgenerator: Fails to configure: UnicodeDecodeError: 'ascii' codec can't decode byte
Summary: www/py-feedgenerator: Fails to configure: UnicodeDecodeError: 'ascii' codec c...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-22 13:53 UTC by John W. O'Brien
Modified: 2021-06-14 16:55 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
www/py-feedgenerator: Poudriere configure log (814 bytes, text/plain)
2021-05-22 13:53 UTC, John W. O'Brien
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description John W. O'Brien 2021-05-22 13:53:08 UTC
Created attachment 225175 [details]
www/py-feedgenerator: Poudriere configure log

Bug reported upstream [0] with multiple candidate patches.

[0] https://github.com/getpelican/feedgenerator/issues/19
Comment 1 commit-hook freebsd_committer 2021-05-30 20:06:01 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5d63579f801f5a0383b75b24b7ac212b355a7101

commit 5d63579f801f5a0383b75b24b7ac212b355a7101
Author:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
AuthorDate: 2021-05-30 19:52:34 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2021-05-30 19:52:34 +0000

    www/py-feedgenerator: Revert 80ea6fda57eab80554c56f29c6a521cb8ec32648

    It is still required for Python 3.6.

    PR:             256084
    Reported by:    John W. O'Brien <john@saltant.com>

 www/py-feedgenerator/Makefile | 1 +
 1 file changed, 1 insertion(+)
Comment 2 Po-Chuan Hsieh freebsd_committer 2021-05-30 20:40:20 UTC
Committed. Thanks!
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2021-05-31 02:24:59 UTC
(In reply to Po-Chuan Hsieh from comment #2)

Thanks Sunpoet. If quarterly affected? If not set merge-quarterly to -, otherwise merge, set flag and close, thanks!
Comment 4 Po-Chuan Hsieh freebsd_committer 2021-06-14 16:55:30 UTC
(In reply to Kubilay Kocak from comment #3)

Both commits are not merged to quarterly branch.